> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get salaries



## OpenAPI

````yaml /openapi/metrics.json get /v1/crm/metrics/users/salaries/{user_id}/
openapi: 3.0.3
info:
  title: Yume API — Аналитика
  version: 1.0.0
  description: Системные метрики, аналитика и отчётность.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/metrics/users/salaries/{user_id}/:
    get:
      tags:
        - users
      summary: Get salaries
      operationId: users_salaries_list_2
      parameters:
        - in: query
          name: created_at__date__gte
          schema:
            type: string
            format: date
        - in: query
          name: created_at__date__lte
          schema:
            type: string
            format: date
        - in: query
          name: request__payment_status
          schema:
            type: integer
            title: Статус оплаты
            enum:
              - 0
              - 1
              - 2
          description: |-
            * `0` - Ожидается оплата
            * `1` - Оплата произведена
            * `2` - Частичная оплата
        - in: query
          name: request__payment_status__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: request__status
          schema:
            type: integer
            title: Статус
            enum:
              - 0
              - 1
              - 2
              - 3
              - 4
              - 5
              - 6
          description: |-
            * `0` - Запрос
            * `1` - Забронировано
            * `2` - В аренде
            * `3` - Отменено
            * `4` - Завершено
            * `5` - Должник
            * `6` - Просрочка
        - in: query
          name: request__status__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: type
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
              - 3
              - 4
              - 5
              - 6
              - 7
              - 8
          description: |-
            * `0` - Бронь
            * `1` - Выдача
            * `2` - Приём
            * `3` - Отмена
            * `4` - Архив
            * `5` - Сборка
            * `6` - Создание
            * `7` - Забор доставки
            * `8` - Выдача доставки
        - in: query
          name: type__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: path
          name: user_id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MetricsUserSalaryDetail'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    MetricsUserSalaryDetail:
      type: object
      properties:
        type:
          type: integer
        count:
          type: integer
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        profit:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
      required:
        - amount
        - count
        - profit
        - type
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````